ruby-moneta_1.0.0-3_all.deb


Advertisement

Description

ruby-moneta - Ruby interface to multiple key/value stores

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name ruby-moneta
Package version 1.0.0
Package release 3
Package architecture all
Package type deb
Installed size 220 B
Download size 35.84 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
ruby-moneta_1.0.0-3_all.deb 1.0.0 all Debian Main
ruby-moneta - - -

Requires

Name Value
ruby -
ruby-interpreter -

Download

Type URL
Binary Package ruby-moneta_1.0.0-3_all.deb
Source Package ruby-moneta

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-moneta deb package:
    # sudo apt-get install ruby-moneta

Files

Path
/usr/lib/ruby/vendor_ruby/moneta.rb
/usr/lib/ruby/vendor_ruby/action_dispatch/middleware/session/moneta_store.rb
/usr/lib/ruby/vendor_ruby/active_support/cache/moneta_store.rb
/usr/lib/ruby/vendor_ruby/moneta/builder.rb
/usr/lib/ruby/vendor_ruby/moneta/cache.rb
/usr/lib/ruby/vendor_ruby/moneta/expires.rb
/usr/lib/ruby/vendor_ruby/moneta/lock.rb
/usr/lib/ruby/vendor_ruby/moneta/logger.rb
/usr/lib/ruby/vendor_ruby/moneta/mixins.rb
/usr/lib/ruby/vendor_ruby/moneta/optionmerger.rb
/usr/lib/ruby/vendor_ruby/moneta/pool.rb
/usr/lib/ruby/vendor_ruby/moneta/proxy.rb
/usr/lib/ruby/vendor_ruby/moneta/server.rb
/usr/lib/ruby/vendor_ruby/moneta/shared.rb
/usr/lib/ruby/vendor_ruby/moneta/stack.rb
/usr/lib/ruby/vendor_ruby/moneta/synchronize.rb
/usr/lib/ruby/vendor_ruby/moneta/transformer.rb
/usr/lib/ruby/vendor_ruby/moneta/utils.rb
/usr/lib/ruby/vendor_ruby/moneta/version.rb
/usr/lib/ruby/vendor_ruby/moneta/weak.rb
/usr/lib/ruby/vendor_ruby/moneta/wrapper.rb
/usr/lib/ruby/vendor_ruby/moneta/adapters/activerecord.rb
/usr/lib/ruby/vendor_ruby/moneta/adapters/cassandra.rb
/usr/lib/ruby/vendor_ruby/moneta/adapters/client.rb
/usr/lib/ruby/vendor_ruby/moneta/adapters/cookie.rb
/usr/lib/ruby/vendor_ruby/moneta/adapters/couch.rb
/usr/lib/ruby/vendor_ruby/moneta/adapters/datamapper.rb
/usr/lib/ruby/vendor_ruby/moneta/adapters/daybreak.rb
/usr/lib/ruby/vendor_ruby/moneta/adapters/dbm.rb
/usr/lib/ruby/vendor_ruby/moneta/adapters/file.rb
/usr/lib/ruby/vendor_ruby/moneta/adapters/fog.rb
/usr/lib/ruby/vendor_ruby/moneta/adapters/gdbm.rb
/usr/lib/ruby/vendor_ruby/moneta/adapters/hbase.rb
/usr/lib/ruby/vendor_ruby/moneta/adapters/leveldb.rb
/usr/lib/ruby/vendor_ruby/moneta/adapters/lmdb.rb
/usr/lib/ruby/vendor_ruby/moneta/adapters/localmemcache.rb
/usr/lib/ruby/vendor_ruby/moneta/adapters/lruhash.rb
/usr/lib/ruby/vendor_ruby/moneta/adapters/memcached.rb
/usr/lib/ruby/vendor_ruby/moneta/adapters/memory.rb
/usr/lib/ruby/vendor_ruby/moneta/adapters/mongo.rb
/usr/lib/ruby/vendor_ruby/moneta/adapters/null.rb
/usr/lib/ruby/vendor_ruby/moneta/adapters/pstore.rb
/usr/lib/ruby/vendor_ruby/moneta/adapters/redis.rb
/usr/lib/ruby/vendor_ruby/moneta/adapters/restclient.rb
/usr/lib/ruby/vendor_ruby/moneta/adapters/riak.rb
/usr/lib/ruby/vendor_ruby/moneta/adapters/sdbm.rb
/usr/lib/ruby/vendor_ruby/moneta/adapters/sequel.rb
/usr/lib/ruby/vendor_ruby/moneta/adapters/sqlite.rb
/usr/lib/ruby/vendor_ruby/moneta/adapters/tdb.rb
/usr/lib/ruby/vendor_ruby/moneta/adapters/tokyocabinet.rb
/usr/lib/ruby/vendor_ruby/moneta/adapters/tokyotyrant.rb
/usr/lib/ruby/vendor_ruby/moneta/adapters/yaml.rb
/usr/lib/ruby/vendor_ruby/moneta/adapters/memcached/dalli.rb
/usr/lib/ruby/vendor_ruby/moneta/adapters/memcached/native.rb
/usr/lib/ruby/vendor_ruby/moneta/adapters/mongo/base.rb
/usr/lib/ruby/vendor_ruby/moneta/adapters/mongo/moped.rb
/usr/lib/ruby/vendor_ruby/moneta/adapters/mongo/official.rb
/usr/lib/ruby/vendor_ruby/moneta/transformer/config.rb
/usr/lib/ruby/vendor_ruby/moneta/transformer/helper.rb
/usr/lib/ruby/vendor_ruby/moneta/transformer/helper/bson.rb
/usr/lib/ruby/vendor_ruby/rack/moneta_cookies.rb
/usr/lib/ruby/vendor_ruby/rack/moneta_rest.rb
/usr/lib/ruby/vendor_ruby/rack/moneta_store.rb
/usr/lib/ruby/vendor_ruby/rack/cache/moneta.rb
/usr/lib/ruby/vendor_ruby/rack/session/moneta.rb
/usr/share/doc/ruby-moneta/changelog.Debian.gz
/usr/share/doc/ruby-moneta/changelog.gz
/usr/share/doc/ruby-moneta/copyright
/usr/share/rubygems-integration/all/specifications/moneta-1.0.0.gemspec

Changelog

2018-01-20 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
ruby-moneta (1.0.0-3) unstable; urgency=medium
[ HIGUCHI Daisuke (VDR dai) ]
* eliminate lintian warning: unnecessary-team-upload
* eliminate lintian warning: priority-extra-is-replaced-by-priority-optional
* eliminate lintian warning: debian-watch-uses-insecure-uri
* Move Vcs-* to salsa.debian.org
* Bump debhelper compatibility level to 11
* Update Standards-Version to 4.1.3
2017-09-21 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
ruby-moneta (1.0.0-2) unstable; urgency=medium
[ HIGUCHI Daisuke (VDR dai) ]
* build-depend on mysql-server directly because Ubuntu's default-mysql-server
is mysql, not mariadb, and mysql does not implement this '--rpm' option.
thanks to Steve Langasek <steve.langasek@canonical.com> (Closes: #876317).
* eliminate lintian warning: unnecessary-testsuite-autopkgtest-header
* Bump Standards-Version to 4.1.0 (no changes needed)
2017-08-19 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
ruby-moneta (1.0.0-1) unstable; urgency=medium
[ HIGUCHI Daisuke (VDR dai) ]
* New upstream version.
* d/control: add ruby-activerecord to B-I-D.
* d/p/0200-transition-to-rspec3.patch: disable.
* d/p/0400-disable-unsupported-libs-tests.patch: added.
* refresh patches.
* d/tests: add new B-D and use quilt.
* marked Multi-Arch as foreign.
* Bump debhelper compatibility level to 10.
* Bump Standards-Version to 4.0.0 (no changes needed)
2017-07-24 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
ruby-moneta (0.7.20-7) unstable; urgency=medium
[ HIGUCHI Daisuke (VDR dai) ]
* tests/control: add for autopkgtest-pkg-ruby.
2016-12-11 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
ruby-moneta (0.7.20-6) unstable; urgency=high
[ HIGUCHI Daisuke (VDR dai) ]
* Disable KyotoCabinet support. see #680038.
- remove ruby-kyotocabinet from B-D-I: and Suggests:.
- add 0300-disable-kyotocabinet-support.patch.
2016-12-11 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
ruby-moneta (0.7.20-5) unstable; urgency=high
[ HIGUCHI Daisuke (VDR dai) ]
* set urgency=high due to fix RC-bug.
* do not pass --skip-grant-tables to mysqld.
- unset plugin for mysql root user.
2016-12-10 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
ruby-moneta (0.7.20-4) unstable; urgency=high
[ HIGUCHI Daisuke (VDR dai) ]
* set urgency=high due to fix RC-bug.
* set Maintainer as pkg-ruby-extras-maintainers with ex-maintainer's request.
thanks to Joshua Timberman <joshua@opscode.com> for previous works.
* set Uploaders as myself.
* Build-Depends: default-mysql-server instead of mysql-server-5.7
(Closes: #846090)
- use mysql_install_db instead of mysqld --initialize-insecure.
- start mysqld with --skip-grant-tables to test.
2016-10-31 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
ruby-moneta (0.7.20-3) unstable; urgency=medium
* Team upload.
[ Christian Hofstaedtler ]
* Wrap-and-sort everything
* Bump Standards-Version, fix URLs
[ C├ędric Boutillier ]
* Bump debhelper compatibility level to 9
* Remove version in the gem2deb build-dependency
* Use https:// in Vcs-* fields
* Bump Standards-Version to 3.9.7 (no changes needed)
[ HIGUCHI Daisuke (VDR dai) ]
* use mysqld --initialize-insecure (Closes: #841567)
* Transition to RSpec 3
* B-D-I on mysql-server-5.7 instead of mysql-server
* Use https:// in Homepage field
* add override_dh_auto_clean to clean test data
* Bump Standards-Version to 3.9.8 (no changes needed)
2014-12-12 - gregor herrmann <gregoa@debian.org>
ruby-moneta (0.7.20-2.2) unstable; urgency=medium
* Non-maintainer upload.
* Fix "leaves mysqld running after build":
apply patch from Colin Watson:
+ debian/ruby-tests.rb: Run script/parallel-tests using system() rather
than exec(), so that the at_exit block to shut down the test MySQL
server actually has a chance to run.
(Closes: #772159)

See Also

Package Description
ruby-mongo_2.5.1-1_all.deb Ruby driver for MongoDB
ruby-mono-logger_1.1.0-3_all.deb lock-free logger for Ruby
ruby-mousetrap-rails_1.4.6-6_all.deb integrate Mousetrap javascript library with Rails Asset Pipeline
ruby-mp3tag_1.0-12_all.deb Ruby library for manipulating ID3V1.1 tags in MP3
ruby-mpi_0.3.0-1+b9_amd64.deb Ruby binding of MPI
ruby-msgpack_1.1.0-1+b2_amd64.deb Ruby library for MessagePack
ruby-mtrc_0.0.4-1_all.deb library to accumulate metrics and extract basic statistics
ruby-multi-json_1.12.1-1_all.deb Ruby library to provide easy switching between different JSON backends
ruby-multi-test_0.1.2-1_all.deb library to control autorun feature of test frameworks
ruby-multi-xml_0.6.0-1_all.deb generic swappable back-end for XML parsing in Ruby
ruby-multibitnums_0.1.4-2+b9_amd64.deb extension library for integers with arbitrary bit lengths
ruby-multipart-parser_0.1.1-2_all.deb simple parser for multipart MIME messages
ruby-multipart-post_1.2.0-2_all.deb multipart form post accessory for Net::HTTP
ruby-mustache_1.0.2-1_all.deb Mustache is a framework-agnostic way to render logic-free views
ruby-mustermann-grape_1.0.0-1_all.deb Grape syntax for Mustermann
Advertisement
Advertisement